tests/test-clone-failure
changeset 5087 1b970cdab695
parent 3988 9dcf9d45cab8
--- a/tests/test-clone-failure
+++ b/tests/test-clone-failure
@@ -26,10 +26,15 @@ chmod 700 a
 rm -r a b
 
 # Source of wrong type
-mkfifo a
-hg clone a b
-echo $?
-rm a
+if "$TESTDIR/hghave" -q fifo; then
+    mkfifo a
+    hg clone a b
+    echo $?
+    rm a
+else
+    echo "abort: repository a not found!"
+    echo 255
+fi
 
 # Default destination, same directory
 mkdir q